Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class MultiRelationalFeatureConstruction

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.ConceptOperator
              edu.udo.cs.miningmart.operator.SingleCSOperator
                  edu.udo.cs.miningmart.operator.MultiRelationalFeatureConstruction

    public class MultiRelationalFeatureConstruction

extends SingleCSOperator

Version:
  $Id: MultiRelationalFeatureConstruction.java,v 1.9 2006/09/27 14:59:57 euler Exp $
Author:
  Timm Euler

Field Summary

Fields inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`suffixForIntermediateViews`

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`MultiRelationalFeatureConstruction()`

Method Summary
`protected java.lang.String` | `generateColumns(Columnset csForOutputConcept)` This method overrides the method in `ConceptOperator`.
`java.lang.String` | `generateSQLDefinition(java.lang.String selectPart)` Implementation of the abstract method from `SingleCSOperator`.
`protected java.lang.String` | `getCondition()` Gets the condition.
`protected java.lang.String` | `getListOfColumnSets()` Gets the listOfColumnSets.
`protected Concept[]` | `getMyChainConcepts()` Gets the myChainConcepts.
`protected Relation[]` | `getMyRelations()` Gets the myRelations.
`protected Feature[]` | `getSelectedFeatures()` Gets the selectedFeatures.
`java.lang.String` | `getTypeOfNewColumnSet()` Must implement this method from ConceptOperator().
`void` | `load(Step st)` Loads all parameters for this operator.
`protected boolean` | `mustCopyFeature(java.lang.String nameOfFeature)` This method is for operators that do not copy all Features of the input concept to the output concept.
`protected void` | `setCondition(java.lang.String condition)` Sets the condition.
`protected void` | `setListOfColumnSets(java.lang.String listOfColumnSets)` Sets the listOfColumnSets.
`protected void` | `setNewCSMultiStepBranch(Columnset newCS, int index)` MultiStepBranch information of all Concepts need to be merged.

Methods inherited from class edu.udo.cs.miningmart.operator.SingleCSOperator
`generateColumnSetsForOp, generateSQLDefinition, getNewCSName, getTypeOfNewColumnSet, handleExtraOutputFeature`

Methods inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`compileStatement, createMetadata, createMetadataForOneBA, createSingleColumnSet, createStatement, getInputConcept, getNewCSName, getOutputConcept, getStringForSelection`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiRelationalFeatureConstruction

    public MultiRelationalFeatureConstruction()

Method Detail

### getMyChainConcepts

    protected Concept[] getMyChainConcepts()
                                    throws M4CompilerError

  Gets the myChainConcepts.

  Returns:
    Returns a Concept[]
  Throws:
    `M4CompilerError`

### getMyRelations

    protected Relation[] getMyRelations()
                                 throws M4CompilerError

  Gets the myRelations.

  Returns:
    Returns a Relation[]
  Throws:
    `M4CompilerError`

### getSelectedFeatures

    protected Feature[] getSelectedFeatures()
                                     throws M4CompilerError

  Gets the selectedFeatures.

  Returns:
    Returns a Feature[]
  Throws:
    `M4CompilerError`

### getCondition

    protected java.lang.String getCondition()

  Gets the condition.

  Returns:
    Returns a String

### getListOfColumnSets

    protected java.lang.String getListOfColumnSets()

  Gets the listOfColumnSets.

  Returns:
    Returns a String

### setCondition

    protected void setCondition(java.lang.String condition)

  Sets the condition.

  Parameters:
    `condition` - The condition to set

### setListOfColumnSets

    protected void setListOfColumnSets(java.lang.String listOfColumnSets)

  Sets the listOfColumnSets.

  Parameters:
    `listOfColumnSets` - The listOfColumnSets to set

### load

    public void load(Step st)
              throws ParameterDeselectedError,
                     M4CompilerError

  Description copied from class: `ExecutableOperator`
  Loads all parameters for this operator.

  Overrides:
    `load` in class `ExecutableOperator`
  Parameters:
    `st` - This executable operator's step
  Throws:
    `ParameterDeselectedError`
    `M4CompilerError`

### getTypeOfNewColumnSet

    public java.lang.String getTypeOfNewColumnSet()

  Must implement this method from ConceptOperator().

  Specified by:
    `getTypeOfNewColumnSet` in class `SingleCSOperator`
  Returns:
    The type of the new Columnset, either "V" or "T".
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.ConceptOperator#getTypeOfNewColumnSet`

### mustCopyFeature

    protected boolean mustCopyFeature(java.lang.String nameOfFeature)

  Description copied from class: `ConceptOperator`
  This method is for operators that do not copy all Features of the input concept to the output concept.

  Specified by:
    `mustCopyFeature` in class `ConceptOperator`
  Parameters:
    `nameOfFeature` - Name of the feature in question.
  Returns:
    TRUE if this feature should be copied to the output concept, FALSE if not.

### generateSQLDefinition

    public java.lang.String generateSQLDefinition(java.lang.String selectPart)
                                           throws M4CompilerError

  Implementation of the abstract method from `SingleCSOperator`.

  Specified by:
    `generateSQLDefinition` in class `SingleCSOperator`
  Parameters:
    `selectPart` - The SQL string between "SELECT" and "FROM" for the SQL definition to be returned.
  Returns:
    The SQL definition for the new ColumnSet.
  Throws:
    `M4CompilerError`

### generateColumns

    protected java.lang.String generateColumns(Columnset csForOutputConcept)
                                        throws M4CompilerError

  This method overrides the method in `ConceptOperator`.

  Overrides:
    `generateColumns` in class `ConceptOperator`
  Parameters:
    `csForOutputConcept` - The ColumnSet for which Columns are to be produced.
  Returns:
    A String for the "SELECT"-part of the view definition for the given ColumnSet.
  Throws:
    `M4CompilerError`
  See Also:
    `miningmart.operator.ConceptOperator#generateColumns(Columnset)`

### setNewCSMultiStepBranch

    protected void setNewCSMultiStepBranch(Columnset newCS,
                                           int index)
                                    throws M4CompilerError

  MultiStepBranch information of all Concepts need to be merged. In order to reduce the risk of different permutations of entries, which might be problematic with the current implementation of the `Unsegment` operator, the MultiStepBranch-`String`s of all `Columnset`s are sorted before merging them. Multiple occurences of the same attribute are not supported; after the first occurence of an attribute each further occurence is removed.

  Overrides:
    `setNewCSMultiStepBranch` in class `ConceptOperator`
  Parameters:
    `newCS` - the Columnset that is created by this operator
    `index` - An index for MulipleCSOperators.
  Throws:
    `M4CompilerError`
  See Also:
    `ConceptOperator.setNewCSMultiStepBranch(Columnset, int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005